<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>Useful nbdkit filters: the delay filter</h1>

<pre>
nbdkit --filter=delay <i>[...]</i> rdelay=1

nbdkit --filter=delay <i>[...]</i> rdelay=100ms wdelay=50ms
</pre>

<ul>
<li> Injects delays into requests.
<li> Delays can be specified in seconds or milliseconds.
<li> <code>rdelay</code>: read operations
<li> <code>wdelay</code>: write or zero operations
<li> Requests handled in parallel are delayed in parallel, as expected.
</ul>

<script>
filters("1")

document.getElementById("filter1-delay").classList.add("highlighted")
</script>
